## org.gnu.gtk
Class PathType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.PathType

public class PathType
extends org.gnu.glib.Enum

Field Summary
`static PathType` `CLASS`
`static PathType` `WIDGET`
`static PathType` `WIDGET_CLASS`

Method Summary
`PathType` `and(PathType other)`
`static PathType` `intern(int value)`
`PathType` `or(PathType other)`
`boolean` `test(PathType other)`
`PathType` `xor(PathType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WIDGET

    public static final PathType WIDGET

### WIDGET_CLASS

    public static final PathType WIDGET_CLASS

### CLASS

    public static final PathType CLASS

Method Detail

### intern

    public static PathType intern(int value)

### or

    public PathType or(PathType other)

### and

    public PathType and(PathType other)

### xor

    public PathType xor(PathType other)

### test

    public boolean test(PathType other)